Skip to main content

List Profile Schemas

Query all profile schemas with pagination

Paginated query of all profile schemas for the current user.

Method and endpoint

GET https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas

Request parameters

ParameterTypeRequiredLocationDescription
page_numintegerNoQueryPage number; defaults to 1
page_sizeintegerNoQueryNumber of schemas per page; defaults to 10
memory_library_idstringNoQueryMemory library ID

Response

FieldTypeDescription
profile_schemasarrayList of profile schemas
profile_schemas[].profile_schema_idstringProfile schema ID
profile_schemas[].namestringProfile schema name
profile_schemas[].descriptionstringProfile schema description
profile_schemas[].plan_versionstringBilling plan
profile_schemas[].extract_scenestringExtraction mode
request_idstringRequest ID
totalintegerTotal number of profile schemas

Code examples

cURL
curl -X GET "https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas?page_size=10&page_num=1" \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --header "Content-Type: application/json"

Response example

{
  "profile_schemas": [
    {
      "description": "User information including age and interests",
      "extract_scene": "efficient",
      "name": "Basic user profile",
      "plan_version": "pro",
      "profile_schema_id": "50edf54eaa5842e891d959ae115205be"
    },
    {
      "description": "Default profile schema created by the system",
      "extract_scene": "efficient",
      "name": "Default profile",
      "plan_version": "pro",
      "profile_schema_id": "976e2e6e59f64ed0b25e6ca0268624bb"
    }
  ],
  "request_id": "3c46983f-85fd-92a5-8440-2e459cc91b2f",
  "total": 2
}
To view details of a single schema, use GetProfileSchema.
Managed Agent API
Flow Agent API
Sandbox API
RAG API
ParseX API
Security API
Framework Integration